innetgr(1)

NAME

innetgr - Check netgroup membership

SYNTAX

innetgr [-d domain] [-h host] [-u user] [-v] <netgroup>

DESCRIPTION

innetgr checks if the specified user, host or domain is a member of the given netgroup. The program does not produce any output unless the verbose ( -v ) flag is given.

The exit status is 0 if the user/host/doman combination is a member of the given netgroup. Exit status is 1 if the combination is not found in the group, and 2 if one of the arguments are invalid.

OPTIONS

--domain <domain> | -d <domain>
    Search in the given domain.

--host <host name> | -h <host name>
    Search for the given host name.

--user <user name> | -u <user name>
    Search for the given user name.

--verbose | -v
    Enable verbose mode

--version | -V
    Show version information.

EXAMPLES

To check if the current host is listed in the netgroup allhosts, use this command line:

if innetgr -h `uname -n` allhosts ; then echo "Found"; fi

CONFORMING TO
A innetgr program first appeared in NetBSD 1.4.

AUTHORS

Petter Reinholdtsen <pere@hungry.com>

SEE ALSO

getent(1) netgroup(1) innetgr(3) netgroup(5) nsswitch.conf(5)